{
  "custom": {},
  "params": {
    "equipmentPathIn": "",
    "equipmentPathOut": "",
    "titleIn": "",
    "titleOut": ""
  },
  "propConfig": {
    "params.equipmentPathIn": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.equipmentPathOut": {
      "binding": {
        "config": {
          "path": "/root/equipment path container/mesObjectSelector.props.selectedMESObject.equipmentPath"
        },
        "overlayOptOut": true,
        "type": "property"
      },
      "paramDirection": "output",
      "persistent": true
    },
    "params.titleIn": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.titleOut": {
      "binding": {
        "config": {
          "path": "/root/title container/title.props.text"
        },
        "type": "property"
      },
      "paramDirection": "output",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 466,
      "width": 670
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "header"
        },
        "position": {
          "basis": "27px",
          "shrink": 0
        },
        "props": {
          "params": {
            "icon": "settings",
            "icon_hover": "auto",
            "text": "Settings"
          },
          "path": "Page/Embedded/Title",
          "style": {
            "marginBottom": "10px"
          }
        },
        "type": "ia.display.view"
      },
      {
        "children": [
          {
            "meta": {
              "name": "mesObjectSelector"
            },
            "position": {
              "grow": 1
            },
            "propConfig": {
              "props.selectedMESObject.equipmentPath": {
                "binding": {
                  "config": {
                    "path": "view.params.equipmentPathIn"
                  },
                  "enabled": false,
                  "type": "property"
                }
              },
              "props.selectedMESObject.mesObjectUUID": {
                "binding": {
                  "config": {
                    "path": "view.params.equipmentPathIn"
                  },
                  "transforms": [
                    {
                      "code": "\tif value:\n\t\treturn str(system.mes.getMESObjectLinkByEquipmentPath(value).getMESObject().getUUID())\n\treturn \u0027\u0027",
                      "type": "script"
                    }
                  ],
                  "type": "property"
                }
              }
            },
            "props": {
              "displayText": "Select Equipment",
              "includeEquipmentObjects": true,
              "inputDropDownStyle": {
                "fontFamily": "Roboto",
                "fontSize": 15
              },
              "inputStyle": {
                "color": "#3E3E3E",
                "fontFamily": "Roboto",
                "fontSize": 15
              },
              "selectedMESObject": {},
              "showEquipmentPath": true
            },
            "type": "mes.production.mesObjectSelector"
          }
        ],
        "meta": {
          "name": "equipment path container"
        },
        "props": {
          "direction": "column",
          "style": {
            "marginBottom": "10px",
            "marginLeft": "20px",
            "marginRight": "20px"
          }
        },
        "type": "ia.container.flex"
      },
      {
        "children": [
          {
            "meta": {
              "name": "title"
            },
            "position": {
              "basis": "32px"
            },
            "propConfig": {
              "props.text": {
                "binding": {
                  "config": {
                    "path": "view.params.titleIn"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "placeholder": "Title"
            },
            "type": "ia.input.text-field"
          }
        ],
        "meta": {
          "name": "title container"
        },
        "props": {
          "direction": "column",
          "style": {
            "marginBottom": "10px",
            "marginLeft": "20px",
            "marginRight": "20px",
            "marginTop": "10px"
          }
        },
        "type": "ia.container.flex"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}